> For the complete documentation index, see [llms.txt](https://docs.stakingrewards.com/staking-data/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stakingrewards.com/staking-data/methodologies/gmx-srb.md).

# Gmx SRB

Learn how GMX staking rewards are calculated. GMXSRB formula covers annual protocol fee revenue, total GMX supply value, and 30-day averaged APR.

GMXSRB is a benchmark that represents the reward rate of staking the asset.

GMXSRB is calculated and published by Staking Rewards via the [GMX Profile](https://www.stakingrewards.com/asset/gmx?category=lending\&sort=staked_tokens\&timeframe=30d\&order=desc\&verifiedFirst=true) and [Data API](https://www.stakingrewards.com/data-api).

> **TL;DR:** GMX staking rewards come from protocol fee revenue distributed to GMX stakers on Avalanche and Arbitrum. The reward rate equals annualized rewards in USD divided by total GMX value, averaged over 30 days.

$$
GMXSRB = ar/gs
$$

<table data-full-width="false"><thead><tr><th width="141">Formula key</th><th width="158">Metric name</th><th>Description</th></tr></thead><tbody><tr><td>ar</td><td>Annual Rewards</td><td>The annual rewards distributed to GMX token holders in USD.</td></tr><tr><td>gs</td><td>GMX supply</td><td>The total value of GMX in USD.</td></tr></tbody></table>

* GMXSRB provides daily updated APR values for staking on Avalanche and Arbitrum, allowing users to compare and choose the higher APR.
* Previously esGMX tokens were distributed as part of the reward. Escrowed GMX generates rewards but are locked to a wallet and subject to vesting rules.

***

#### Observation Period:

1. The GMXSRB is determined based on the latest generated block at the point of evaluation.
2. This data is averaged with the last 30d values and then annualized for a comprehensive year-long projection.

#### Calculation

The calculation happens every 2 hours and is immediately published via [Data API](https://www.stakingrewards.com/data-api).

***

### GMX Real Reward Rate (GMXSRB^R)

The real reward rate calculates the SRB adjusted for inflation in the network.

$$
GMXSRB^R = 1+GMXSRB/(1+i)-1
$$

<table data-full-width="false"><thead><tr><th width="150.33333333333331">Formula key</th><th width="235">Metric name</th><th>Description</th></tr></thead><tbody><tr><td>i</td><td>Inflation Rate</td><td>New GMX tokens in the circulating supply.</td></tr></tbody></table>

#### Inflation Rate Behaviour

The inflation is also subject to change with possible governance decisions.

***

### Other GMX metrics calculated by Staking Rewards:

<table data-full-width="false"><thead><tr><th width="229.99999999999994">Metric</th><th>Description</th></tr></thead><tbody><tr><td>Rewards Per Year</td><td>The Rewards Per Year refers to the amount of rewards given to delegates in USD on an annual basis.</td></tr><tr><td>Staking Wallets</td><td>This metric refers to the total quantity of distinct delegations made. It doesn't distinguish based on unique delegator addresses and excludes considerations of any minimum delegation thresholds.</td></tr><tr><td>Annualized Fee Revenue</td><td>The annualized fee revenue is the expected total amount accrued in fees by the protocol over 1 year.</td></tr></tbody></table>

***

#### Data Sources:

* Arbitrum and Avalanche Blockchain RPC Endpoints from [Infura](https://www.infura.io/).

***

#### References:

* [GMX Whitepaper](https://gmxio.gitbook.io/gmx/)

***

:books: [Learn more about GMX Staking](https://www.stakingrewards.com/asset/gmx?category=lending\&sort=staked_tokens\&timeframe=30d\&order=desc\&verifiedFirst=true)

:bar\_chart: [Calculate your GMX Staking Rewards](https://www.stakingrewards.com/calculator?asset=gmx)

:gear: [Access historic GMX Staking Data via API](https://www.stakingrewards.com/data-api)

```
Last updated on 05/23/2024
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.stakingrewards.com/staking-data/methodologies/gmx-srb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
